## DzlPreferencesEntry

DzlPreferencesEntry

## Functions

GtkWidget * | dzl_preferences_entry_get_entry_widget ()
GtkWidget * | dzl_preferences_entry_get_title_widget ()

## Properties

char * | text | Read / Write
char * | title | Read / Write

## Signals

void | activate | Run Last
void | changed | Run Last

## Types and Values

#define | DZL_TYPE_PREFERENCES_ENTRY
struct | DzlPreferencesEntryClass
| DzlPreferencesEntry

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesBin
                            ╰── DzlPreferencesEntry

## Implemented Interfaces

DzlPreferencesEntry implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_preferences_entry_get_entry_widget ()

    GtkWidget *
    dzl_preferences_entry_get_entry_widget
                                   (DzlPreferencesEntry *self);

#### Returns

A GtkWidget.

[transfer none]

### dzl_preferences_entry_get_title_widget ()

    GtkWidget *
    dzl_preferences_entry_get_title_widget
                                   (DzlPreferencesEntry *self);

#### Returns

A GtkWidget.

[transfer none]

## Types and Values

### DZL_TYPE_PREFERENCES_ENTRY

    #define DZL_TYPE_PREFERENCES_ENTRY (dzl_preferences_entry_get_type())

### struct DzlPreferencesEntryClass

    struct DzlPreferencesEntryClass {
      DzlPreferencesBinClass parent_class;
    };

### DzlPreferencesEntry

    typedef struct _DzlPreferencesEntry DzlPreferencesEntry;

## Property Details

### The `“text”` property

      “text”                     char *

Text.

Owner: DzlPreferencesEntry

Flags: Read / Write

Default value: NULL

### The `“title”` property

      “title”                    char *

Title.

Owner: DzlPreferencesEntry

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“activate”` signal

    void
    user_function (DzlPreferencesEntry *dzlpreferencesentry,
                   gpointer             user_data)

Flags: Run Last

### The `“changed”` signal

    void
    user_function (DzlPreferencesEntry *dzlpreferencesentry,
                   char                *arg1,
                   gpointer             user_data)

Flags: Run Last